php-symfony-yaml-2.3.42-2.el6.noarch.rpm


Advertisement

Description

php-symfony-yaml - Symfony Yaml Component

Property Value
Distribution CentOS 6
Repository EPEL x86_64
Package filename php-symfony-yaml-2.3.42-2.el6.noarch.rpm
Package name php-symfony-yaml
Package version 2.3.42
Package release 2.el6
Package architecture noarch
Package type rpm
Category Development/Libraries
Homepage http://symfony.com/doc/2.3/components/yaml/index.html
License MIT
Maintainer -
Download size 21.62 KB
Installed size 66.30 KB
The YAML Component loads and dumps YAML files.

Alternatives

Package Version Architecture Repository
php-symfony-yaml-2.8.51-2.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-yaml-2.8.51-2.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-yaml-2.8.51-1.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-yaml-2.8.51-1.el6.remi.noarch.rpm 2.8.51 noarch Les RPM de Remi
php-symfony-yaml-2.3.42-2.el6.noarch.rpm 2.3.42 noarch EPEL
php-symfony-yaml - - -

Requires

Name Value
php-ctype -
php-date -
php-json -
php-mbstring -
php-pcre -
php-spl -
php-symfony-common = 2.3.42-2.el6

Provides

Name Value
php-composer(symfony/yaml) = 2.3.42
php-pear(pear.symfony.com/Yaml) = 2.3.42
php-symfony-yaml = 2.3.42-2.el6
php-symfony2-Yaml = 2.3.42

Obsoletes

Name Value
php-symfony2-Yaml < 2.3.42

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package php-symfony-yaml-2.3.42-2.el6.noarch.rpm
Source Package php-symfony-2.3.42-2.el6.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/6/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install php-symfony-yaml rpm package:
    # yum install php-symfony-yaml

Files

Path
/usr/share/doc/php-symfony-yaml-2.3.42/CHANGELOG.md
/usr/share/doc/php-symfony-yaml-2.3.42/LICENSE
/usr/share/doc/php-symfony-yaml-2.3.42/README.md
/usr/share/doc/php-symfony-yaml-2.3.42/composer.json
/usr/share/php/Symfony/Component/Yaml/Dumper.php
/usr/share/php/Symfony/Component/Yaml/Escaper.php
/usr/share/php/Symfony/Component/Yaml/Inline.php
/usr/share/php/Symfony/Component/Yaml/Parser.php
/usr/share/php/Symfony/Component/Yaml/Unescaper.php
/usr/share/php/Symfony/Component/Yaml/Yaml.php
/usr/share/php/Symfony/Component/Yaml/autoload.php
/usr/share/php/Symfony/Component/Yaml/autoloader.php
/usr/share/php/Symfony/Component/Yaml/Exception/DumpException.php
/usr/share/php/Symfony/Component/Yaml/Exception/ExceptionInterface.php
/usr/share/php/Symfony/Component/Yaml/Exception/ParseException.php
/usr/share/php/Symfony/Component/Yaml/Exception/RuntimeException.php

Changelog

2019-06-19 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-2
- Disable tests by default (follows php-symfony3 and php-symfony4 pkgs)
- Always require build dependencies
- Remove php-composer(paragonie/random_compat) version constraint
2016-09-30 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.42-1
- Updated to 2.3.42
- CVE-2015-8124
- CVE-2015-8125
- CVE-2016-1902, RHBZ #1340830, RHBZ #1340831
- CVE-2016-4423, RHBZ #1340833, RHBZ #1340834
2015-07-13 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.31-1
- Updated to 2.3.31
- Fixed autoloader
2015-06-06 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.30-1
- Updated to 2.3.30 (BZ #1227264, 1227266)
- CVE-2015-4050, CVE-2015-2308, CVE-2015-2309, CVE-2014-6072, CVE-2014-5245,
CVE-2014-4931, CVE-2014-6061, CVE-2014-5244
- Updated dependencies to use php-composer()
- Added php-composer(symfony/*) provides
- Added autoloaders
2014-01-05 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.9-1
- Updated to 2.3.9 (BZ #1038134)
- Conditional %{?dist}
- Minor bash cosmetic changes
- Skip additional test relying on external resources
- Skip additional el6 test
2013-12-18 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.8-1
- Updated to 2.3.8 (BZ #1038134)
- Temporarily skip test known to fail on Fedora > 20
2013-12-14 - Remi Collet <remi@fedoraproject.org> - 2.3.7-4
- fix PEAR compatibility: add missing "autoloader.php"
2013-11-26 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-3
- Fixed several summaries and descriptions ("Symfony2" => "Symfony")
2013-11-22 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-2
- Renamed from "php-symfony2" to "php-symfony"
- Updated main pkg summary
- Removed dependency on common sub-pkg for sub-pkgs that require other sub-pkgs
- Common sub-pkg obsoletes php-channel-symfony2
- Fixed swiftmailerbridge sub-pkg dependency
- Updated %check to use PHPUnit's "--include-path" option
2013-11-17 - Shawn Iwinski <shawn.iwinski@gmail.com> - 2.3.7-1
- Updated to 2.3.7
- Separated icu pkg
- Added php-composer(ircmaxell/password-compat) requires for el6 (PHP < 5.5.0)
- common sub-pkg now owns %{symfony_dir}/{Bridge,Bundle,Component}
- Fixed classloader URL

See Also

Package Description
php-tcpdf-6.2.26-1.el6.noarch.rpm PHP class for generating PDF documents and barcodes
php-tcpdf-dejavu-lgc-sans-fonts-6.2.26-1.el6.noarch.rpm DejaVu LGC sans-serif fonts for tcpdf
php-tcpdf-dejavu-lgc-sans-mono-fonts-6.2.26-1.el6.noarch.rpm DejaVu LGC mono-spaced fonts for tcpdf
php-tcpdf-dejavu-lgc-serif-fonts-6.2.26-1.el6.noarch.rpm DejaVu LGC serif fonts for tcpdf
php-tcpdf-dejavu-sans-fonts-6.2.26-1.el6.noarch.rpm DejaVu sans-serif fonts for tcpdf
php-tcpdf-dejavu-sans-mono-fonts-6.2.26-1.el6.noarch.rpm DejaVu mono-spaced fonts for tcpdf
php-tcpdf-dejavu-serif-fonts-6.2.26-1.el6.noarch.rpm DejaVu serif fonts for tcpdf
php-tcpdf-gnu-free-mono-fonts-6.2.26-1.el6.noarch.rpm GNU FreeFonts mono-spaced for tcpdf
php-tcpdf-gnu-free-sans-fonts-6.2.26-1.el6.noarch.rpm GNU FreeFonts sans-serif for tcpdf
php-tcpdf-gnu-free-serif-fonts-6.2.26-1.el6.noarch.rpm GNU FreeFonts serif for tcpdf
php-tecnickcom-tc-lib-barcode-1.5.0-1.el6.noarch.rpm PHP library to generate linear and bidimensional barcodes
php-tecnickcom-tc-lib-color-1.6.2-1.el6.noarch.rpm PHP library to manipulate various color representations
php-theseer-autoload-1.25.6-1.el6.noarch.rpm A tool and library to generate autoload code
php-theseer-directoryscanner-1.3.1-1.el6.noarch.rpm A recursive directory scanner and filter
php-theseer-fDOMDocument-1.4.3-1.el6.noarch.rpm An Extension to PHP standard DOM
Advertisement
Advertisement